%define name quiviewer
%define version 1.2.1
%define release	a

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A Qt designer file viewer.
Group: Development
Copyright: LGPL.
Vendor: SourceXtreme, Inc.
Packager: Ian Reinhart Geiser <geiseri@sourcextreme.com>
Source: %{name}.tar.gz
URL: http://www.sourcextreme.com/projects/quiviewer
Buildroot: /var/tmp/%{name}-%{version}-buildroot

%description
QUIViewer is a Qt only version of the KDE application KUIViewer.  It
has a common featureset and aims to be a cross platform Qt user interface
file viewer.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}
qmake

%build
make

%install
#make INSTALL_ROOT=$RPM_BUILD_ROOT/ install
#this will be broken on most systems until the trolls bother 
#to apply my patches to qmake mkdir -pv $RPM_BUILD_ROOT/usr/bin

test -d $RPM_BUILD_ROOT/usr/bin/ || mkdir -p $RPM_BUILD_ROOT/usr/bin/
cp -f quiviewer $RPM_BUILD_ROOT/usr/bin/quiviewer
strip $RPM_BUILD_ROOT/usr/bin/quiviewer
test -d $RPM_BUILD_ROOT/usr/share/docs/quiviewer/examples/ || mkdir -p $RPM_BUILD_ROOT/usr/share/docs/quiviewer/examples/
cp -f examples/dialog.ui $RPM_BUILD_ROOT/usr/share/docs/quiviewer/examples/
cp -f examples/servermanager.ui $RPM_BUILD_ROOT/usr/share/docs/quiviewer/examples/
cp -f examples/warpexegenoptions.ui $RPM_BUILD_ROOT/usr/share/docs/quiviewer/examples/
test -d /usr/share/docs/quiviewer/ || mkdir -p $RPM_BUILD_ROOT/usr/share/docs/quiviewer/
cp -f readme $RPM_BUILD_ROOT/usr/share/docs/quiviewer/
cp -f lgpl.txt $RPM_BUILD_ROOT/usr/share/docs/quiviewer/


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}

%changelog
* Thu Oct 28 2004 Ian Reinhart Geiser <geiseri@sourcextreme.com> - 1.2.1
  - Fixed bug where QMainWindow based ui files would not close properly when closed via the window manager.
  - Fixed bug where slots would connect to the main UI Viewer.
